.shaders-box {
    position: fixed;
    top: 32px;
    right: -405px;
    z-index: 2;
    background-color: #eeeeee;
    width: 355px;
    height: calc(100vh - 32px);
    transition: all 0.2s;
}

.shaders-box .header {
    width: 100%;
    height: 24px;
    padding: 5px 10px;
}

.shaders-box .back {
    width: 24px;
    height: 24px;
    background-image: url("../images/right_close.png");
    background-size: 100% 100%;
    cursor: pointer;
}

.shaders-box .list {
    width: 100%;
    max-height: calc(100% - 24px);
    padding: 10px;
    box-sizing: border-box;
    overflow-y: auto;
    display: flex;
    flex-wrap: wrap;
}

.shaders-box .shader-item {
    width: 94px;
    height: 94px;
    margin: 0 6px 12px;
    background-size: 100% 100%;
    cursor: pointer;
}

.shaders-box .shader-item.active {
    box-shadow: 0 0 3px 3px #3d7eff;
}


.shaders-box .left-nav {
    position: absolute;
    top: 42px;
    left: -50px;
    width: 50px;
    min-height: 30px;
}


.shaders-box .shader-nav-item {
    width: 50px;
    height: 30px;
    border-radius: 15px 0 0 15px;
    margin-bottom: 10px;
    background-color: #cccccc;
    font-size: 14px;
    text-align: center;
    line-height: 30px;
    color: #888888;
    cursor: pointer;
}

.shaders-box .shader-nav-item.active {
    background-color: #eeeeee;
    color: #000000;
}

.shaders-box .shader-nav-item:hover {
    background-color: #eeeeee;
    color: #000000;
}

.shader-preview {
    width: 80px;
    height: 80px;
    border-radius: 10px;
    background-size: 100% 100%;
    background-color: #ffffff;
}

